> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Purchase additional envelopes (Reserved)

PUT https://demo.docusign.net/restapi/v2/accounts/{accountId}/billing_plan/purchased_envelopes
Content-Type: application/json

Reserved: At this time, this endpoint is limited to DocuSign internal use only. Completes the purchase of envelopes for your account. The actual purchase is done as part of an internal workflow interaction with an envelope vendor.

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/billing/billingplans/purchaseenvelopes

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.

### Body (application/json)

This endpoint expects a purchasedEnvelopesInformation.

- `amount` (string, optional) — The total amount of the purchase.
- `appName` (string, optional) — The AppName of the client application.
- `currencyCode` (string, optional) — Specifies the ISO currency code of the purchase. This is based on the ISO 4217 currency code information.
- `platform` (string, optional) — The Platform of the client application
- `productId` (string, optional) — The Product ID from the AppStore.
- `quantity` (string, optional) — The quantity of envelopes to add to the account.
- `receiptData` (string, optional) — The encrypted Base64 encoded receipt data.
- `storeName` (string, optional) — The name of the AppStore.
- `transactionId` (string, optional) — Specifies the Transaction ID from the AppStore.

## Response

### 200

Successful response.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Examples

**Request**

```json
{}
```

**Response**

```json
{}
```